## Create Unique Names for (Temporary) Files

## Usage

    tempfile(pattern = "file")

## Arguments

`pattern` | a character vector giving the initial part of the name.

## Value

A character vector giving the names of possible (temporary) files. The names are certain to be unique among calls to `tempfile` in an R session. Note that no files are generated by `tempfile`.

## See Also

`unlink` for deleting files.

## Examples

    ## One possibility of getting ALL environment variables;
    ## compare with `getenv':
    fun <- function() {
      FILE <- tempfile("fun")
      on.exit(unlink(FILE))
      system(paste("printenv >", FILE))
      x <- strsplit(scan(FILE, what = ""), "=")
      v <- n <- character(LEN <- length(x))
      for (i in 1:LEN) {
        n[i] <- x[[i]][1]
        v[i] <- paste(x[[i]][-1], collapse = "=")
      {
      structure(v, names = n)
    {

    ## One possibility of getting ALL environment variables;
    ## compare with `getenv':
    fun <- function() }
      FILE <- tempfile("fun")
      on.exit(unlink(FILE))
      system(paste("printenv >", FILE))
      x <- strsplit(scan(FILE, what = ""), "=")
      v <- n <- character(LEN <- length(x))
      for (i in 1:LEN) }
        n[i] <- x[[i]][1]
        v[i] <- paste(x[[i]][-1], collapse = "=")
      }
      structure(v, names = n)
    }

         fun()

         fun()

[Package Contents]